Arch Fermer les trous

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch CloseHoles and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska

Arch CloseHoles.svg Arch Fermer les trous

Emplacement du menu
Arch → Utilitaire → Fermer les trous
Ateliers
Atelier Architecture
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Valider


Description

Cet outil identifie les trous (séquence circulaire d'arêtes ouvertes (edges)) dans un objet text-top=Workbench_Part shape, et tente de les fermer avec l'ajout d'une nouvelle face construite sur la séquence de bords. Vous devez cependant, vous assurer que le résultat est un solide.

Utilisation

  1. Sélectionnez un objet Shape.
  2. Appuyez sur l'entrée Arch CloseHoles.svg Fermer les trous dans Arch → Utilitaires → Fermer les trous.

Script

Voir aussi: Arch API et FreeCAD Scripts de Base.

Cet outil peut être utilisé dans une macro, et utilisé dans la console Python en utilisant la fonction :

solid = closeHole(shape)
  • Ferme un trou dans une shape qui est un Part.Shape et renvoie le nouvel objet solid.

Exemple:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute() 

solid = Arch.closeHole(Wall.Shape)